// Code generated by mockery v1.1.0. DO NOT EDIT.

package fs

import mock "github.com/stretchr/testify/mock"

// MockScanner is an autogenerated mock type for the Scanner type
type MockScanner struct {
	mock.Mock
}

// AddFile provides a mock function with given fields: path
func (_m *MockScanner) AddFile(path string) error {
	ret := _m.Called(path)

	var r0 error
	if rf, ok := ret.Get(0).(func(string) error); ok {
		r0 = rf(path)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Scan provides a mock function with given fields: filter
func (_m *MockScanner) Scan(filter ScannerFilterFn) error {
	ret := _m.Called(filter)

	var r0 error
	if rf, ok := ret.Get(0).(func(ScannerFilterFn) error); ok {
		r0 = rf(filter)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Walk provides a mock function with given fields: fn
func (_m *MockScanner) Walk(fn ScannerWalkFn) error {
	ret := _m.Called(fn)

	var r0 error
	if rf, ok := ret.Get(0).(func(ScannerWalkFn) error); ok {
		r0 = rf(fn)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
